=== src/Makefile ===
#############################################################################
# Makefile for building: planner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Mar 14 11:22:10 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtLocation -lm -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ytv.cpp \
		ytvprivate.cpp \
		main.cpp \
		ytvparser.cpp \
		location.cpp \
		route.cpp \
		transport.cpp \
		stop.cpp \
		mainwindow.cpp \
		fancydelegate.cpp \
		displayinfowidget.cpp \
		qlineselectedit.cpp \
		listfilterwidget.cpp \
		routewindow.cpp \
		gps.cpp \
		coordinates.cpp moc_ytv.cpp \
		moc_ytvprivate.cpp \
		moc_mainwindow.cpp \
		moc_fancydelegate.cpp \
		moc_displayinfowidget.cpp \
		moc_qlineselectedit.cpp \
		moc_listfilterwidget.cpp \
		moc_routewindow.cpp \
		moc_gps.cpp \
		qrc_icons.cpp
OBJECTS       = ytv.o \
		ytvprivate.o \
		main.o \
		ytvparser.o \
		location.o \
		route.o \
		transport.o \
		stop.o \
		mainwindow.o \
		fancydelegate.o \
		displayinfowidget.o \
		qlineselectedit.o \
		listfilterwidget.o \
		routewindow.o \
		gps.o \
		coordinates.o \
		moc_ytv.o \
		moc_ytvprivate.o \
		moc_mainwindow.o \
		moc_fancydelegate.o \
		moc_displayinfowidget.o \
		moc_qlineselectedit.o \
		moc_listfilterwidget.o \
		moc_routewindow.o \
		moc_gps.o \
		qrc_icons.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = planner
DESTDIR       = 
TARGET        = planner

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/planner1.0.0 || $(MKDIR) .tmp/planner1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/planner1.0.0/ && $(COPY_FILE) --parents ytv.h ytvprivate.h ytvparser.h location.h route.h transport.h stop.h coordinates.h mainwindow.h fancydelegate.h displayinfowidget.h qlineselectedit.h listfilterwidget.h routewindow.h gps.h .tmp/planner1.0.0/ && $(COPY_FILE) --parents icons.qrc .tmp/planner1.0.0/ && $(COPY_FILE) --parents ytv.cpp ytvprivate.cpp main.cpp ytvparser.cpp location.cpp route.cpp transport.cpp stop.cpp mainwindow.cpp fancydelegate.cpp displayinfowidget.cpp qlineselectedit.cpp listfilterwidget.cpp routewindow.cpp gps.cpp coordinates.cpp .tmp/planner1.0.0/ && (cd `dirname .tmp/planner1.0.0` && $(TAR) planner1.0.0.tar planner1.0.0 && $(COMPRESS) planner1.0.0.tar) && $(MOVE) `dirname .tmp/planner1.0.0`/planner1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/planner1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_ytv.cpp moc_ytvprivate.cpp moc_mainwindow.cpp moc_fancydelegate.cpp moc_displayinfowidget.cpp moc_qlineselectedit.cpp moc_listfilterwidget.cpp moc_routewindow.cpp moc_gps.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_ytv.cpp moc_ytvprivate.cpp moc_mainwindow.cpp moc_fancydelegate.cpp moc_displayinfowidget.cpp moc_qlineselectedit.cpp moc_listfilterwidget.cpp moc_routewindow.cpp moc_gps.cpp
moc_ytv.cpp: location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		ytv.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ytv.h -o moc_ytv.cpp

moc_ytvprivate.cpp: ytvparser.h \
		location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		ytvprivate.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ytvprivate.h -o moc_ytvprivate.cpp

moc_mainwindow.cpp: routewindow.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_fancydelegate.cpp: fancydelegate.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) fancydelegate.h -o moc_fancydelegate.cpp

moc_displayinfowidget.cpp: route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		displayinfowidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) displayinfowidget.h -o moc_displayinfowidget.cpp

moc_qlineselectedit.cpp: qlineselectedit.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qlineselectedit.h -o moc_qlineselectedit.cpp

moc_listfilterwidget.cpp: listfilterwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) listfilterwidget.h -o moc_listfilterwidget.cpp

moc_routewindow.cpp: route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		routewindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) routewindow.h -o moc_routewindow.cpp

moc_gps.cpp: location.h \
		gps.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) gps.h -o moc_gps.cpp

compiler_rcc_make_all: qrc_icons.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_icons.cpp
qrc_icons.cpp: icons.qrc \
		icons/train.png \
		icons/bus.png \
		icons/metro.png \
		icons/tram.png \
		icons/addfav.png \
		icons/ferry.png \
		icons/fav.png \
		icons/nignt.png \
		icons/walk.png
	/opt/qt4-maemo5/bin/rcc -name icons icons.qrc -o qrc_icons.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
