=== debian/changelog ===
planner (0.1.5-2) unstable; urgency=low

  * Small fixes plus packaging

 -- Alvaro Manera <alblurrow@yute.com>  Sun, 14 Mar 2010 12:00:23 +0200

planner (0.1.5-1) unstable; urgency=low

  * Some bug fixes. New features, favorites, icons.

 -- Alvaro Manera <alblurrow@yute.com>  Sat, 13 Mar 2010 20:00:23 +0200

planner (0.1.1-1) unstable; urgency=low

  * A few bug fixes

 -- Alvaro Manera <alblurrow@yute.com>  Tue, 09 Mar 2010 20:00:23 +0200

planner (0.1-1) unstable; urgency=low

  * Initial release

 -- Alvaro Manera <alblurrow@yute.com>  Mon, 15 Feb 2010 20:00:23 +0200
