=== debian/control ===
Source: planner
Section: user/navigation
Priority: extra
Maintainer: Alvaro Manera <alblurrow@yute.com>
Build-Depends: debhelper (>= 5), libqtm-dev
Standards-Version: 3.7.2

Package: planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Helsinki Journey Planner
 Plan your public transportation trips in Helsinki with this nice tool.
XB-Maemo-Display-Name: Como LLego
XSBC-Bugtracker: mailto:alblurrow@yute.com
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI                      
  fAhkiAAAAAlwSFlzAAAPYwAAD2MB18Fk4AAAABl0RVh0U29mdHdhcmUAd3d3                      
  Lmlua3NjYXBlLm9yZ5vuPBoAAAb3SURBVGiB3ZptaBzHGcd/u7e3p7uT9X4n                      
  Rc75ZAvimtiUKsSqjQpCwdRWMHGCCYlo8yUVgTg4dcAuKIV8SAnYDlYJ1IGo                      
  H2Lc1JA3hwhUFRFhohC3EKSmimwTUVWyFElYp+hkvdztaW+nH0Z30b1Jp9jW                      
  Wf1/WXZnZvf/35ln5pnnGUUIwZ1CURQncACUenDsAJsPrAqIlMoa+jSokxAd                      
  BWMIxBWgSwgRuuNv/1gBiqIUA4fB+SxEGqDMBrUqVCjgAcqQV4ApILB8nRTw                      
  TwumLbB/BqFLQLsQYmZDBCiKkg/qSVB/Bz4TGlxQp0DVOj89DHwhoHsRRjWw                      
  ToN1Vggxvy4+2QpQFEUDmkF/A6p0OO6Ch9dJOhMGgLcWYTgCkRagTQhhZsUr                      
  GwGKovjA0QlF2+GYE35xh4QzoQf4UwiC/wXjoBBidE1uawlQFOXnYO+AA244                      
  oYN2t9hmgAm0RqBrAZYahRD/WJXfagIURfk1aG3woh2eVO821dVx2YLzS2A2                      
  CyEuZqqVUYAkn9cGbzjgZ/eM5uroA1oMCGcUkVaAHDbaFTiTQ/Ix9AGnDDDr                      
  0w2nlGEhDdbeIYdNrsmD5PCiHewdklsiEgTIqdLRKQ12o8f8anhSlZwcncvT                      
  eRzJJJvlVHlC30B2WeKELrnRvPJp3AbkCquPwu+L7t08f6foAf4QhIgvtmKv                      
  6AH1pFxh71fyILlV6ZKrhCKEWHbMtAn4o+PuuQf3CgPAbw0wHxBCzMR64LB0                      
  zO538iA5+kzgMMSHkPNZ6VVuFjS4JGdQACfYgvBnPdklfuyxYh59dAuKAoqi                      
  LF9Z130MsfUyNmn8cL96eW/vPJ9+GkgSMAz8JgLRIg04AMWmNI5EXLjwE7Zu                      
  dfyIP3R3ce7cKCdPDmFZMa+hCsk5cECT28D9eekaer06t25FuHr1NtXVTnbv                      
  djM2ZvDtt4ssLlqEwxZut42iIg2fz0Flpc5XX80xNxdlbi5KNCpwu224XCr7
  9hUyPm4wMhLm9u0o4bCF06nictnYs8eNw6HS0TENyB7My1NxOm088kg+r7zi
  o79/gXffnVzBbn8etNdrcg9bkbLqFhZq2O0KH344xbFjgzQ1lfPee7s4d26U
  1taxFLGHDpXw9tsPUVvbm/YvXr++l1On/kN7+3RK2ZtvVlNd7eSZZ66llO3c
  6eLGjb0UFSW78RUqOHZocgPuSWlYUiIbmKbstnDYAuDmTSMtwYmJCBMTkbRl
  AMGgydhY+rbffWeg6+k9l9nZTBszD2DzqTJ6UJZSXFCQKMAwpAC/P+1oo7LS
  QXFx5s1OZaXOtm3p2/r9eVRXpy/LjDLAqtBk6CO1B8rLpU1Ho/I+1gMtLds4
  etTDwkI0wQYqK3XKyuxcu7aX2VmTYNDEsmI2YOPBBx28885DvPZaFTMzS4RC
  FgUFGkVFGtu356FpCp98sjv+fbfbRkmJhseTyS3zAJHSjL/szJkdAKjLPWuz
  yTmxtNTOvn32jP9l167My4nXq+P1ZvYTn3gidSSsBVUGnaZSCmJGk59vA2DL
  Ftu6X35vMQXo05qMmAUqk4stOWJwuxMFRCIWH30UYGzMoKYmn4aG4oQFaz3o
  7Z2jq2uGxsZS9uxxr7N1AFAnVRnuS+2B8XE5Y8R6oKBAIxBY4siRbygvt3P0
  qIfBwRAvvzzIeoN7hmHx9NMDDA+Hef75B5iYMHjuuetxO8sOU0B0VJWxysmU
  lkNDYQDq6grp6vopx49v5cKFSV591c/oqEFT0zVqavLxeHRu3gyvS8AHH0yx
  f38hXq/OU099g8tl48iRMt5//1a8jmkKrl69zeuvj1Bf/y/Onx9PesukBcaQ
  JgOtX74AJxKsr7t7Br/fgdNpo6zMzvx8lL6+eerqChkZCXPjxiKhkNTd0zNL
  MJhVIA2Ar7+ep7a2gIWFKP39CxiGRXGxnc7O7wkElujuDvL550Hm5qKrvOXL
  MIgrqzpz6VBTs4WPP34Yvz+Pnp5ZHn/832t8KD127nRx8eIuvF47IyNhXnpp
  kP7+hSxbDxNz5pY3NK6/QdMv4VdZm6PDocYXt43HXwT89e9CLB5anuVDl2SU
  OHvkjjxIrqFL8MOeuF2GuAdySCpbDCC50g7LAmRywTotQ9z3O95aBOt0LCGy
  wgW0zsr4fE+umGWBHiRH62zsSVyAjLNEWmR8PvspceNgIrlFWlZmcZKd8DaZ
  XGjN7NjnDK0RyY22lU8TBMi0jnFQJhcu53KaScJlS3IyDiannlK2QTKts9Qo
  kwt9G8cxI/qQXJYa06Wc0u7jZBzebJbJhVyKiCU4zOZMqab/3xRTvMJmTvLF
  K23mNGu84mZOdCc02KxHDVIaphz2KDZluK9CXeOwhyU3IzMa6N0bftgjg5ic
  Hbf5H6RXEElU7iF4AAAAAElFTkSuQmCC
