=== debian/changelog ===
planner (0.1.6-1) unstable; urgency=low

  * New layout of first window, settings.

 -- Alvaro Manera <alblurrow@yute.com>  Fri, 26 Mar 2010 23:00:23 +0200
