=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,13 @@
 #!/usr/bin/make -f
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
 APPNAME := planner
 builddir:
 	  mkdir -p builddir
@@ -11,7 +20,7 @@
 build-stamp: builddir/Makefile
 	  dh_testdir
 	  # Add here commands to compile the package.
-	  cd builddir && $(MAKE)
+	  cd builddir && $(MAKE) CXXFLAGS='$(CFLAGS)'
 	  touch $@
 
 clean:
